Skip to content

List my reviews for a campaign

Request

OAuth 2.0 scope:
  • okta.governance.reviewer.read

Lists the reviews assigned to you for a given campaign.

Use the filter expression (?filter=) query parameter to return a subset of your reviews for a campaign.

Pagination parameters are accepted, and standard link headers are in the response.

Reviews are returned only for campaigns that launched and have an ACTIVE or COMPLETED status. UNREVIEWED decision status reviews have a null decided property. If remediation isn't completed, then the remediationStatus property is also null.

The order criteria (orderBy) applies to the following properties: decided, decision, remediationStatus, and created.

By default, results are sorted by id.

Note: Okta recommends adding a filter in your request to target the reviews returned. This provides reliable performance when your org contains a large number of campaigns and reviews. The response for this request can time out or fail if there are a large number of campaigns and reviews to process.

Path
campaignIdstringrequired

Unique identifier for the campaign

Query
filterstring

Apply various filters by using supported review filtering properties.

Note: Query parameter percent encoding is required. See Percent-encoding

Supported filters are:

  • id: string
  • principalId: string
  • reviewerId: string
  • decision: string (APPROVE, REVOKE, UNREVIEWED)
  • resourceId: string (GroupId or AppId)
  • reviewerType: string (USER or GROUP or RESOURCE_OWNER)
  • reviewerLevel: string (FIRST or SECOND)
  • entitlementValueId: string
  • entitlementBundleId: string
Examples:
Filter by review decisions
filter=decision eq "UNREVIEWED"
Filter by reviewerId
filter=reviewerId eq "00u5v5viPvg84h0W68g4"
Filter by group resourceId
filter=resourceId eq "00gyqjxNrsh764hjs784"
Filter by app resourceId
filter=resourceId eq "00ayqjxNrZD11n4w40g3"
Filter by principalId
filter=principalId eq "00u5v5viPvg84h0W68g4"
Filter by reviewerType
filter=reviewerType eq USER
Filter by reviewerLevel
filter=reviewerLevel eq FIRST
Filter by entitlement value ID
filter=entitlementValueId eq "enthzzPJAXvaYQ71T0g3"
Filter by entitlement bundle ID
filter=entitlementBundleId eq "enbisi7xt3iBd39Bn0g3"
Filter by SaaS app service account ID
filter=appServiceAccountId eq "00saqjxNrZD11n4w40g3"
Filter by Okta service account ID
filter=oktaServiceAccountId eq "00sa5v5viPvg84h0W68g4"
afterstring

Specifies the pagination cursor for the next page of results. Treat this as an opaque value obtained through the standard link headers. See pagination.

Example:after=00u68w6vzKLultXS97g6
limitinteger, [ 1 .. 200 ]

The maximum number of records returned in a response

Default:20
orderByArray of strings, = 1 items

Specifies a property to sort the results. The following properties are supported:

  • decided
  • decision
  • remediationStatus
  • created

Append desc or asc to indicate the sorting direction.

Note: Query parameter percent encoding is required. See Percent-encoding.

Examples:
Order by decided
orderBy=decided desc
Order by decision
orderBy=decision desc
Order by remediationStatus
orderBy=remediationStatus desc
Order by created
orderBy=created desc
GET
/governance/api/v1/my/campaigns/{campaignId}/reviews
curl -i -X GET \
  'https://okta-subdomain.pixtulate.com/governance/api/v1/my/campaigns/{campaignId}/reviews?filter=decision%20eq%20%22UNREVIEWED%22&after=00u68w6vzKLultXS97g6&limit=20&orderBy=decided%20desc'

Responses

A successful review list response

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Bodyapplication/json
dataArray of objects(review-sparse)required

Sparse representation of reviews

Response
The list of reviews that belong to that campaign.
{ "data": [ {} ], "_links": { "self": {}, "next": {} } }